Bug 198988 - [PATCH] net/mosquitto: Fix build with LibreSSL
Summary: [PATCH] net/mosquitto: Fix build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Olli Hauer
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-28 18:49 UTC by Bernard Spil
Modified: 2015-05-10 18:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (joe)


Attachments
svn diff for net/mosquitto (3.60 KB, patch)
2015-03-28 18:49 UTC, Bernard Spil
no flags Details | Diff
Poudriere build log for net/mosquitto (98.13 KB, text/plain)
2015-03-28 18:49 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-28 18:49:09 UTC
Created attachment 154928 [details]
svn diff for net/mosquitto

net/mosquitto fails to detect PSK correctly as it can be disabled and is removed from LibreSSL. This patch adds a check on OPENSSL_NO_PSK.
Comment 1 Bernard Spil freebsd_committer 2015-03-28 18:49:44 UTC
Created attachment 154929 [details]
Poudriere build log for net/mosquitto
Comment 2 joe 2015-04-25 16:27:56 UTC
I am unable to test, so if the patch successfully works for the scenario given and does not break a "normal" build - then it is acceptable. Thanks!
Comment 3 Olli Hauer freebsd_committer 2015-05-10 17:17:22 UTC
Take it, will send a new PR for updating to 1.4.2
Comment 4 commit-hook freebsd_committer 2015-05-10 18:06:07 UTC
A commit references this bug:

Author: ohauer
Date: Sun May 10 18:06:02 UTC 2015
New revision: 385971
URL: https://svnweb.freebsd.org/changeset/ports/385971

Log:
  - fix build with LibreSSL [1]
  - install manpages into correct MANDIR
  - do not run ldconfig in stagedir!
  - adjust files/patch names so makepatch can be used in future
  - bump PORTREVISION

  PR:		198988 [1]
  Submitted by:	Bernard Spil
  Approved by:	joe _at_ thrallingpenguin.com (maintainer)

Changes:
  head/net/mosquitto/Makefile
  head/net/mosquitto/files/patch-CMakeList.txt
  head/net/mosquitto/files/patch-CMakeLists.txt
  head/net/mosquitto/files/patch-config.mk
  head/net/mosquitto/files/patch-etc-mosquitto.conf.example
  head/net/mosquitto/files/patch-lib-tls_mosq.h
  head/net/mosquitto/files/patch-lib_tls__mosq.h
  head/net/mosquitto/files/patch-mosquitto.conf
  head/net/mosquitto/files/patch-src-CMakeList.txt
  head/net/mosquitto/files/patch-src_CMakeLists.txt
  head/net/mosquitto/pkg-plist
Comment 5 Olli Hauer freebsd_committer 2015-05-10 18:10:53 UTC
Committed together with some cleanups (manpages, ldconfig ...)